// Load dts shapes and merge animations
datablock TSShapeConstructor(RotBugDts)
{
	baseShape  = "./bug.dts";
	sequence0  = "./zb_root.dsq root";

	sequence1  = "./zb_run.dsq run";
	sequence2  = "./zb_run.dsq walk";
	sequence3  = "./zb_back.dsq back";
	sequence4  = "./zb_side.dsq side";

	sequence5  = "./zb_root.dsq crouch";
	sequence6  = "./zb_run.dsq crouchRun";
	sequence7  = "./zb_back.dsq crouchBack";
	sequence8  = "./zb_side.dsq crouchSide";

	sequence9  = "./zb_root.dsq look";
	sequence10 = "./zb_root.dsq headside";
	sequence11 = "./zb_root.dsq headUp";

	sequence12 = "./zb_jump.dsq jump";
	sequence13 = "./zb_jumpstand.dsq standjump";
	sequence14 = "./zb_fall.dsq fall";
	sequence15 = "./zb_land.dsq land";

	sequence16 = "./zb_attack.dsq armAttack";
	sequence17 = "./zb_root.dsq armReadyLeft";
	sequence18 = "./zb_root.dsq armReadyRight";
	sequence19 = "./zb_root.dsq armReadyBoth";
	sequence20 = "./zb_root.dsq spearready";  
	sequence21 = "./zb_root.dsq spearThrow";

	sequence22 = "./zb_talk.dsq talk";  

	sequence23 = "./zb_death1.dsq death1"; 
	
	sequence24 = "./zb_root.dsq shiftUp";
	sequence25 = "./zb_root.dsq shiftDown";
	sequence26 = "./zb_root.dsq shiftAway";
	sequence27 = "./zb_root.dsq shiftTo";
	sequence28 = "./zb_root.dsq shiftLeft";
	sequence29 = "./zb_root.dsq shiftRight";
	sequence30 = "./zb_root.dsq rotCW";
	sequence31 = "./zb_root.dsq rotCCW";

	sequence32 = "./zb_root.dsq undo";
	sequence33 = "./zb_root.dsq plant";

	sequence34 = "./zb_death1.dsq sit";

	sequence35 = "./zb_root.dsq wrench";

   sequence36 = "./zb_attack.dsq activate";
   sequence37 = "./zb_attack.dsq activate2";

   sequence38 = "./zb_root.dsq leftrecoil";
};    

datablock AudioProfile(BugPainSound)
{
   fileName = "./bug_pain.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(BugDeathSound)
{
   fileName = "./bug_death.wav";
   description = AudioClose3d;
   preload = true;
};
datablock PlayerData(RotBugZombie : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./bug.dts";

	cameraMaxDist = 4;
	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
    cameraVerticalOffset = 1;
	computeCRC = false;
	
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 2;		//this will be controlled by mini-game code
	maxTools = 2;

	maxDamage = 15;
	runforce = 50 * 90;
	maxForwardSpeed = 4;
	maxBackwardSpeed = 3;
	maxSideSpeed = 2;
	attackpower = 5;
	jumpsound = "";
	
    boundingBox				= vectorScale("0.8 0.8 0.5", 4); //"2.5 2.5 2.4";
    crouchBoundingBox		= vectorScale("0.8 0.8 0.5", 4); //"2.5 2.5 2.4";
    proneBoundingBox		= vectorScale("0.8 0.8 0.5", 4); //"2.5 2.5 2.4";
	
	maxForwardCrouchSpeed = 2;
	maxBackwardCrouchSpeed = 1;
	maxSideCrouchSpeed = 1;

	mass = 50;

	jumpForce = 4 * 90; //8.3 * 90;
    jumpDelay = 0.2;

	maxStepHeight = 0;


//  minImpactSpeed = 160;
//	speedDamageScale = 100;
 
	useCustomPainEffects = true;
	PainSound			= BugPainSound;
	DeathSound			= BugDeathSound;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 0;
	uiName = "B1 Bug";
	rideable = true;
	canRide = false;
	BrickKillRadius = 2;
	skinColor = "0.220 0.404 0.188 1"; //Default Color
//	FollowAnim = "ArmReadyBoth";
	numMountPoints = 0;
	ZombieTeam = "Bugs";
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 95;
	SearchRadius = 10;
	SpecialAttack = 0;
	zDeathSound = "BugDeathSound";
	ignorePipeBombs = 0;
	paintable = true;
};
function RotBugZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotBugZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
		%obj.playthread(2,activate2);
	}
}
function RotBugZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotBugZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotBugZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.name = "Bug";

	//call fixed recolor script
	schedule(15,0,recolorbug,%obj);	
}


