// Load dts shapes and merge animations
datablock TSShapeConstructor(RotMiteDts)
{
	baseShape  = "./mite.dts";
	sequence0  = "./zm_root.dsq root";

	sequence1  = "./zm_run.dsq run";
	sequence2  = "./zm_run.dsq walk";
	sequence3  = "./zm_back.dsq back";
	sequence4  = "./zm_side.dsq side";

	sequence5  = "./zm_root.dsq crouch";
	sequence6  = "./zm_run.dsq crouchRun";
	sequence7  = "./zm_back.dsq crouchBack";
	sequence8  = "./zm_side.dsq crouchSide";

	sequence9  = "./zm_root.dsq look";
	sequence10 = "./zm_root.dsq headside";
	sequence11 = "./zm_root.dsq headUp";

	sequence12 = "./zm_jump.dsq jump";
	sequence13 = "./zm_jump.dsq standjump";
	sequence14 = "./zm_fall.dsq fall";
	sequence15 = "./zm_land.dsq land";

	sequence16 = "./zm_attack.dsq armAttack";
	sequence17 = "./zm_root.dsq armReadyLeft";
	sequence18 = "./zm_root.dsq armReadyRight";
	sequence19 = "./zm_root.dsq armReadyBoth";
	sequence20 = "./zm_root.dsq spearready";  
	sequence21 = "./zm_root.dsq spearThrow";

	sequence22 = "./zm_root.dsq talk";  

	sequence23 = "./zm_death.dsq death1"; 
	
	sequence24 = "./zm_root.dsq shiftUp";
	sequence25 = "./zm_root.dsq shiftDown";
	sequence26 = "./zm_root.dsq shiftAway";
	sequence27 = "./zm_root.dsq shiftTo";
	sequence28 = "./zm_root.dsq shiftLeft";
	sequence29 = "./zm_root.dsq shiftRight";
	sequence30 = "./zm_root.dsq rotCW";
	sequence31 = "./zm_root.dsq rotCCW";

	sequence32 = "./zm_root.dsq undo";
	sequence33 = "./zm_root.dsq plant";

	sequence34 = "./zm_death.dsq sit";

	sequence35 = "./zm_root.dsq wrench";

   sequence36 = "./zm_attack.dsq activate";
   sequence37 = "./zm_attack.dsq activate2";

   sequence38 = "./zm_root.dsq leftrecoil";
};    

datablock AudioProfile(MitePainSound)
{
   fileName = "./mite_pain.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(MiteDeathSound)
{
   fileName = "./mite_death.wav";
   description = AudioClose3d;
   preload = true;
};

datablock PlayerData(RotMiteZombie : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./mite.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 2;		//this will be controlled by mini-game code
	maxTools = 2;

	maxDamage = 80;
	runforce = 70 * 90;
	maxForwardSpeed = 12;
	maxBackwardSpeed = 8;
	maxSideSpeed = 5;
	attackpower = 12;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.1 1.1 0.5", 4); //"2.5 2.5 2.4" 
    crouchBoundingBox		= vectorScale("1.1 1.1 0.5", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("1.1 1.1 0.5", 4); //"2.5 2.5 2.4";

	maxForwardCrouchSpeed = 4;
	maxBackwardCrouchSpeed = 2;
	maxSideCrouchSpeed = 2;

	mass = 100;

	jumpForce = 9 * 90; //8.3 * 90;
	jumpDelay = 0.2;	
	
	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 10;
	uiName = "B1 Mite";
	rideable = true;
	canRide = false;
	BrickKillRadius = 2;
	skinColor = "0.663 0.663 0.663 1";
//	FollowAnim = "ArmReadyBoth";
	numMountPoints = 0;
	ZombieTeam = "Mites";
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 70;
	SearchRadius = 50;
	SpecialAttack = 0;
	zDeathSound = "MiteDeathSound";
	ignorePipeBombs = 0;
	paintable = true;

    useCustomPainEffects = true;
	PainSound           = MitePainSound;
	DeathSound          = MiteDeathSound;


};
function RotMiteZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotMiteZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
		%obj.playthread(2,activate2);
	}
}
function RotMiteZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotMiteZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
//function RotMiteZombie::onAdd(%this,%obj)
//{
//	parent::onAdd(%this,%obj);
//	ZombieDefault::onAdd(%this,%obj);
//}
function RotMiteZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.name = "Mite";
	schedule(15,0,recolorbug,%obj);
	//%obj.mountimage(gunimage,0);
}
