// Load dts shapes and merge animations
datablock TSShapeConstructor(RotSpiderDts)
{
	baseShape  = "./spider.dts";
	sequence0  = "./zsp_root.dsq root";

	sequence1  = "./zsp_run.dsq run";
	sequence2  = "./zsp_run.dsq walk";
	sequence3  = "./zsp_back.dsq back";
	sequence4  = "./zsp_root.dsq side";

	sequence5  = "./zsp_root.dsq crouch";
	sequence6  = "./zsp_run.dsq crouchRun";
	sequence7  = "./zsp_back.dsq crouchBack";
	sequence8  = "./zsp_root.dsq crouchSide";

	sequence9  = "./zsp_root.dsq look";
	sequence10 = "./zsp_root.dsq headside";
	sequence11 = "./zsp_root.dsq headUp";

	sequence12 = "./zsp_jump.dsq jump";
	sequence13 = "./zsp_jump.dsq standjump";
	sequence14 = "./zsp_fall.dsq fall";
	sequence15 = "./zsp_root.dsq land";

	sequence16 = "./zsp_attack.dsq armAttack";
	sequence17 = "./zsp_root.dsq armReadyLeft";
	sequence18 = "./zsp_root.dsq armReadyRight";
	sequence19 = "./zsp_root.dsq armReadyBoth";
	sequence20 = "./zsp_root.dsq spearready";  
	sequence21 = "./zsp_root.dsq spearThrow";

	sequence22 = "./zsp_root.dsq talk";  

	sequence23 = "./zsp_death.dsq death1"; 
	
	sequence24 = "./zsp_root.dsq shiftUp";
	sequence25 = "./zsp_root.dsq shiftDown";
	sequence26 = "./zsp_root.dsq shiftAway";
	sequence27 = "./zsp_root.dsq shiftTo";
	sequence28 = "./zsp_root.dsq shiftLeft";
	sequence29 = "./zsp_root.dsq shiftRight";
	sequence30 = "./zsp_root.dsq rotCW";
	sequence31 = "./zsp_root.dsq rotCCW";

	sequence32 = "./zsp_root.dsq undo";
	sequence33 = "./zsp_root.dsq plant";

	sequence34 = "./zsp_root.dsq sit";

	sequence35 = "./zsp_root.dsq wrench";

   sequence36 = "./zsp_attack.dsq activate";
   sequence37 = "./zsp_attack.dsq activate2";

   sequence38 = "./zsp_root.dsq leftrecoil";
};    
datablock AudioProfile(SpiderPainSound)
{
   fileName = "./spider_pain.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(SpiderDeathSound)
{
   fileName = "./spider_death.wav";
   description = AudioClose3d;
   preload = true;
};
datablock PlayerData(RotSpiderZombie : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./spider.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 2;		//this will be controlled by mini-game code
	maxTools = 2;

	maxDamage = 150;
//	runforce = 65 * 90;
	maxForwardSpeed = 14;
	maxBackwardSpeed = 10;
	maxSideSpeed = 8;
	attackpower = 20;
	jumpsound = "";
	
	maxForwardCrouchSpeed = 7;
	maxBackwardCrouchSpeed = 5;
	maxSideCrouchSpeed = 2;

	boundingBox				= vectorScale("1.8 1.8 1.6", 4); //"2.5 2.5 2.4";
	crouchBoundingBox		= vectorScale("1.8 1.8 1.6", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("1.8 1.8 1.6", 4); //"2.5 2.5 2.4";

	mass = 150;

	jumpForce = 10 * 90; //8.3 * 90;
    jumpDelay = 0.1;	
    maxStepHeight = 1;

//        minImpactSpeed = 160;
//        speedDamageScale = 4.8;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 15;
	uiName = "B1 Spider";
	rideable = true;
	canRide = false;
	BrickKillRadius = 2;
	skinColor = "0.029 0.029 0.029 1";
//	FollowAnim = "ArmReadyBoth";
	numMountPoints = 0;
	ZombieTeam = "Spiders";
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 50;
	SearchRadius = 70;
	SpecialAttack = 0;
	zDeathSound = "SpiderDeathSound";
	ignorePipeBombs = 1;
	paintable = true;

    useCustomPainEffects = true;
	PainSound           = SpiderPainSound;
	DeathSound          = SpiderDeathSound;


};
//function RotSpiderZombie::SpecialAttack(%this,%onshot)
//{
//	if(getsimtime() >= %this.lastspecial+2000 && %this.getstate() !$= "Dead")
//	{
//		%ran = getrandom(-1,1);
//		%ran2 = getrandom(-1,1);
//		%this.setmovex(%ran);
//		%this.setmovey(%ran2);
//		schedule(100,0,BotShootMode,%this);
//		schedule(500,0,BotShootMode,%this);
//		schedule(900,0,BotShootMode,%this);
//		schedule(1300,0,BotShootMode,%this);
//		%this.schedule(2800,clearmovex);
//		%this.schedule(2800,clearmovey);
//		%this.lastspecial = getsimtime();
//	}
//}
function RotSpiderZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotSpiderZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
		%obj.playthread(2,activate2);
	}
}
function RotSpiderZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotSpiderZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
//function RotSpiderZombie::onAdd(%this,%obj)
//{
//	parent::onAdd(%this,%obj);
//	ZombieDefault::onAdd(%this,%obj);
//}
function RotSpiderZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.name = "Spider";
	schedule(15,0,recolorbug,%obj);
	
//	%obj.mountimage(SpiderBiteImage,0);
}

