// Load dts shapes and merge animations
datablock TSShapeConstructor(RotWormNEWDts)
{
	baseShape  = "./wormNEW.dts";
	sequence0  = "./wm_root.dsq root";

	sequence1  = "./wm_move.dsq run";
	sequence2  = "./wm_move.dsq walk";
	sequence3  = "./wm_move.dsq back";
	sequence4  = "./wm_move.dsq side";

	sequence5  = "./wm_dig.dsq crouch";
	sequence6  = "./wm_dig_move.dsq crouchRun";
	sequence7  = "./wm_dig_move.dsq crouchBack";
	sequence8  = "./wm_dig_move.dsq crouchSide";

	sequence9  = "./wm_root.dsq look";
	sequence10 = "./wm_root.dsq headside";
	sequence11 = "./wm_root.dsq headUp";

	sequence12 = "./wm_jump.dsq jump";
	sequence13 = "./wm_jump.dsq standjump";
	sequence14 = "./wm_fall.dsq fall";
	sequence15 = "./wm_root.dsq land";

	sequence16 = "./wm_attackLight.dsq armAttack";
	sequence17 = "./wm_root.dsq armReadyLeft";
	sequence18 = "./wm_root.dsq armReadyRight";
	sequence19 = "./wm_root.dsq armReadyBoth";
	sequence20 = "./wm_root.dsq spearready";  
	sequence21 = "./wm_root.dsq spearThrow";

	sequence22 = "./wm_root.dsq talk";  

	sequence23 = "./wm_death1.dsq death1"; 
	
	sequence24 = "./wm_root.dsq shiftUp";
	sequence25 = "./wm_root.dsq shiftDown";
	sequence26 = "./wm_root.dsq shiftAway";
	sequence27 = "./wm_root.dsq shiftTo";
	sequence28 = "./wm_root.dsq shiftLeft";
	sequence29 = "./wm_root.dsq shiftRight";
	sequence30 = "./wm_root.dsq rotCW";
	sequence31 = "./wm_root.dsq rotCCW";

	sequence32 = "./wm_root.dsq undo";
	sequence33 = "./wm_smash.dsq plant";

	sequence34 = "./wm_root.dsq sit";

	sequence35 = "./wm_root.dsq wrench";

   sequence36 = "./wm_attackLight.dsq activate";
   sequence37 = "./wm_attackLight.dsq activate2";

   sequence38 = "./wm_root.dsq leftrecoil";
};    
datablock AudioProfile(WormPainSound)
{
   fileName = "./worm_pain.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(WormDeathSound)
{
   fileName = "./worm_death.wav";
   description = AudioClose3d;
   preload = true;
};
datablock PlayerData(RotWormZombie : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./wormNEW.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 2;		//this will be controlled by mini-game code
	maxTools = 2;

	maxDamage = 3000;
	runforce = 100 * 90;
	maxForwardSpeed = 4;
	maxBackwardSpeed = 4;
	maxSideSpeed = 0;
	attackpower = 60;
	jumpsound = "";
	
	maxForwardCrouchSpeed = 6;
	maxBackwardCrouchSpeed = 3;
	maxSideCrouchSpeed = 1;

	boundingBox				= vectorScale("3.8 3.8 1.6", 4); //"2.5 2.5 2.4";
	crouchBoundingBox		= vectorScale("3.8 3.8 0.3", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("3.8 3.8 1.6", 4); //"2.5 2.5 2.4";

	mass = 200;
	maxStepHeight = 0.4;

	jumpForce = 15 * 90; //8.3 * 90;
    jumpDelay = 0.3;	

//        minImpactSpeed = 160;
//        speedDamageScale = 4.8;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 0;
	uiName = "B1 Worm";
	rideable = true;
	canRide = false;
	BrickKillRadius = 2;
	skinColor = "0.039 0.267 0.000 1";
//	FollowAnim = "ArmReadyBoth";
	numMountPoints = 0;
	ZombieTeam = "Worms";
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 60;
	SearchRadius = 40;
	SpecialAttack = 0;
	zDeathSound = "WormDeathSound";
	ignorePipeBombs = 0;
	paintable = true;

    useCustomPainEffects = true;
	PainSound           = WormPainSound;
	DeathSound          = WormDeathSound;


};
function RotWormZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function RotWormZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
	if(IsInMinigame(%obj) && IsInSameMinigame(%col,%obj) && %obj.getstate() !$= "Dead" && %obj.spawnbrick.getgroup().client.minigame.EnableZombies == 1)
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
	}
	if(IsInMinigame(%obj) && MinigameIncludesPlayerBricks(%col) && %col.iszombie && %obj.getstate() !$= "Dead")
	{
		%col.applyimpulse(%col.getposition(),vectoradd(vectorscale(%obj.getforwardvector(),0),"0 0 0"));
		%obj.playthread(2,activate2);
	}
}
function RotWormZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotWormZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function RotWormZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	%obj.name = "Worm";
	schedule(15,0,recolorbug,%obj);
	//%obj.mountimage(gunimage,0);
}

